<?php
require 'Credenziali.php';

LogTitles("TRASFERIMENTO DELLE FATTURE PER IL 730 PRECOMPILATO ALL'AGENZIA DELLE ENTRATE");


/* -------------------------------------------------------------------------------- Impostazioni */
$Fatture730 = $nomeFileAllegato.".zip"; // nome del file da trattare con estensione ".zip"
LogTitles("STO GESTENDO IL FILE    : ".$Fatture730);

if ( !file_exists($Fatture730) )
{
    LogTitles("ERRORE : IL FILE NON ESISTE");
    die;
}

error_log("carico in memoria il file ".$Fatture730, 0);
$zipfile = implode("", file($Fatture730)); 


/* -------------------------------------------------------------------------------- Soap Client */
$ws                          = _InvioTelematico_WSDL;
$SoapClientParam["location"] = $InvioTelematico; 

require 'SoapClientInit.php';


/* -------------------------------------------------------------------------------- Soap Request */
LogTitles("INIZIO TRASFERIMENTO DEL FILE");

if ( empty($codiceRegione) or $codiceRegione == "000" )
    $datiProprietario        = array
    (
        "cfProprietario"     => $cfProprietario,
    );
else
    $datiProprietario        = array
    (
        "cfProprietario"     => $cfProprietario,
        "codiceRegione"      => $codiceRegione,
        "codiceAsl"          => $codiceAsl,
        "codiceSSA"          => $codiceSSA,
    );

$SoapRequest                 = array
(
    "pincodeInvianteCifrato" => $pincodeInvianteCifrato,
    "datiProprietario"       => $datiProprietario,
    "nomeFileAllegato"       => $Fatture730,
    "documento"              => $zipfile,
    "opzionale1"             => $opzionale1,
    "opzionale2"             => $opzionale2,
    "opzionale3"             => $opzionale3,
);
echo "SoapRequest<br />".show_var($SoapRequest)."<br /><br />";
error_log(PHP_EOL."SoapRequest => ".log_var($SoapRequest), 0);

try { $output = $client->inviaFileMtom($SoapRequest); }
catch ( SoapFault $e )
{ 
    require 'SoapFault.php';
}

envelopes();

/* -------------------------------------------------------------------------------- Soap Receipt */
LogTitles("L'INVIO HA AVUTO RISPOSTA");

print_r($output); echo "<br /><br />";
echo "output<br />".show_var($output)."<br /><br />";
error_log(PHP_EOL."output => ".log_var($output), 0);


if ( $output->return->codiceEsito == 0 )
{
    LogTitles("TRASFERIMENTO TERMINATO CON SUCCESSO");
}
else
{
    LogTitles("TRASFERIMENTO TERMINATO CON ERRORE");
}
echo "<p><h4>FINE DEL LAVORO</h4></p>";
error_log("done ".$_SERVER['PHP_SELF'], 0);
?>
